/**
 * @file Dezibot.cpp
 * @author Anton Jacker, Hans Haupt, Saskia Duebener
 * @brief 
 * @version 0.1
 * @date 2023-11-26
 * 
 * @copyright Copyright (c) 2023
 * 
 */


#define SDA_PIN 1
#define SCL_PIN 2

#include "Dezibot.h"
#include <Wire.h>

Dezibot::Dezibot():multiColorLight(){};

void Dezibot::begin(void) {
    Wire.begin(SDA_PIN,SCL_PIN);
    infraredLight.begin();
    lightDetection.begin();    
    motion.begin();
    multiColorLight.begin();
    display.begin();
};


